summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Arun Prasannan <arunprasannan@gmail.com>2010-05-11 20:01:57 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:57 +0200
commite46a810f99d5560921f4b5eb2ee0cb8429cc5001 (patch)
tree680e36dce70d3729627b92d1d1cdf491ae829fc4
parentc99812825d05bfd6dd5bfb01d53f32abd9b174a1 (diff)
downloadslackbuilds-e46a810f99d5560921f4b5eb2ee0cb8429cc5001.tar.gz
slackbuilds-e46a810f99d5560921f4b5eb2ee0cb8429cc5001.tar.xz
system/dolphin: Added to 12.0 repository
-rw-r--r--system/dolphin/README7
-rw-r--r--system/dolphin/dolphin.SlackBuild75
-rw-r--r--system/dolphin/dolphin.info8
-rw-r--r--system/dolphin/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/system/dolphin/README b/system/dolphin/README
new file mode 100644
index 0000000000..50e7c6f09e
--- /dev/null
+++ b/system/dolphin/README
@@ -0,0 +1,7 @@
+Dolphin is a file manager for KDE focusing on usability.
+
+Dolphin is not intended to be a competitor to Konqueror, the default
+KDE file manager: Konqueror acts as universal viewer being able to
+show HTML pages, text documents, directories and a lot more, whereas
+Dolphin focuses on being only a file manager. This approach allows
+to optimize the user interface for the task of file management.
diff --git a/system/dolphin/dolphin.SlackBuild b/system/dolphin/dolphin.SlackBuild
new file mode 100644
index 0000000000..86b84ab061
--- /dev/null
+++ b/system/dolphin/dolphin.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for Dolphin
+
+# Copyright (C) 2007 Arun Prasannan <arunprasannan@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAME=dolphin
+VERSION=0.8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+KDEDIR=$(kde-config --prefix) || exit 1
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAME-$VERSION
+tar -xzvf $CWD/$PRGNAME-$VERSION.tar.gz || exit 1
+cd $PRGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEDIR \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-suffix="" \
+ --program-prefix=""
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAME-$VERSION
+cat $CWD/$PRGNAME.SlackBuild > $PKG/usr/doc/$PRGNAME-$VERSION/$PRGNAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dolphin/dolphin.info b/system/dolphin/dolphin.info
new file mode 100644
index 0000000000..5c9587912c
--- /dev/null
+++ b/system/dolphin/dolphin.info
@@ -0,0 +1,8 @@
+PRGNAM="dolphin"
+VERSION="0.8.2"
+HOMEPAGE="http://enzosworld.gmxhome.de/"
+DOWNLOAD="http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/distfiles/dolphin-0.8.2.tar.gz"
+MD5SUM="376f7a1deca0f4d69fa96a393cea464b"
+MAINTAINER="Arun Prasannan"
+EMAIL="arunprasannan@gmail.com"
+APPROVED="BP{k}"
diff --git a/system/dolphin/slack-desc b/system/dolphin/slack-desc
new file mode 100644
index 0000000000..8de7da326d
--- /dev/null
+++ b/system/dolphin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dolphin: dolphin (Dolphin File Manager)
+dolphin:
+dolphin: Dolphin is a file manager for KDE focusing on usability.
+dolphin:
+dolphin: Dolphin is not intended to be a competitor to Konqueror, the default
+dolphin: KDE file manager: Konqueror acts as universal viewer being able to
+dolphin: show HTML pages, text documents, directories and a lot more, whereas
+dolphin: Dolphin focuses on being only a file manager. This approach allows
+dolphin: to optimize the user interface for the task of file management.
+dolphin:
+dolphin: